/*
 * FilterEntriesModel.java
 * Created on 2011/10/13
 *
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

package jp.co.ntt.oss.heapstats.gui;

import javax.swing.table.DefaultTableModel;

/**
 * extends {@link DefaultTableModel}<br>
 * <br>
 * This is an implementation of TableModel that uses a Vector of Vectors to
 * store the cell value objects.
 */
public class FilterEntriesModel extends DefaultTableModel {
    /** serialVersionUID. */
    private static final long serialVersionUID = -7416955903245153064L;

    /** Filter table header. */
    private static final String[] TABLE_HEADER = {
            GuiCommon.getResources().getString(GuiCommon.CLASS_FILTER_EXCLUDE),
            GuiCommon.getResources().getString(GuiCommon.CLASS_FILTER_FILENAME)};

    /**
     * Constructs a FilterEntriesModel with as many columns as there are
     * elements in TABLE_HEADER and rowCount of 0 object values.
     */
    public FilterEntriesModel() {
        super(TABLE_HEADER, 0);
    }

    @Override
    public final Class<?> getColumnClass(final int columnIndex) {
        return getValueAt(0, columnIndex).getClass();
    }
}
